'64bit svn 적용'에 해당되는 글 2건

이클립스 마켓에서 subclipse 를 설치하고 svn을 접속하려고 하면 간간히 

Failed to load JavaHL Library. 라는 오류가 생긴다.

체크 후 접속하면 정상 접속이 되나 뭔가 찜찜하다.

찾아봤더니 JavaHL이 Subclipse버전과 맞아야 한다고 한다.

Current Versions

Subclipse Version

SVN/JavaHL Version

1.8.x

1.7.x

1.6.x

1.6.x

1.4.x

1.5.x

1.2.x

1.4.x

1.0.x

1.4.x

http://subclipse.tigris.org/wiki/JavaHL

표를 참고하여 제대로 깔자.

그래도 에러가 생긴다?

Incompatible JavaHL library loaded. 1.6.x or later required

에러메시지가 바뀌었다.

알아보니 64bit운영체제에서는 Silk Svn Edition의 라이브러리가 JavaHL과 맞지 않아서 라고한다.

SilkSvn 1.6x 대의 구버전을 찾아 깔아야한다.

해결됐다.

참고사이트 :

'eclipse > svn' 카테고리의 다른 글

git 실수로 push 시 돌아가기  (0) 2015.08.28
Failed to load JavaHL Library. 해결  (0) 2012.03.28
64bit 윈도우를 사용할때 svn연결의 문제  (0) 2012.03.28
블로그 이미지

기계새

Java, Spring, iBatis, Maven, eclipse 개발관련 잡다한 메모공간입니다.

64bit 운영체제의 경우 svn Repository 연결에 오류가 나는 경우가 있다.

 - svn 플러그인을 정상적으로 설치했음에도 로그인이 안되는 문제


이 경우 Slik-Subversion 을 다운받으면 해결된다.

경로 : http://www.sliksvn.com/

'eclipse > svn' 카테고리의 다른 글

git 실수로 push 시 돌아가기  (0) 2015.08.28
Failed to load JavaHL Library. 해결  (0) 2012.03.28
64bit 윈도우를 사용할때 svn연결의 문제  (0) 2012.03.28
블로그 이미지

기계새

Java, Spring, iBatis, Maven, eclipse 개발관련 잡다한 메모공간입니다.